Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 807193

Summary: virtual/udev: switch to sys-fs/udev as primary provider on musl
Product: Gentoo Linux Reporter: David Seifert <soap>
Component: Current packagesAssignee: Gentoo Council <council>
Status: RESOLVED FIXED    
Severity: normal CC: eudev, mgorny, musl, sam, systemd
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=575718
Whiteboard:
Package list:
Runtime testing required: ---

Description David Seifert gentoo-dev 2021-08-08 15:50:35 UTC
sys-fs/udev-249-r2 now supports musl too with the help of http://cgit.openembedded.org/openembedded-core/tree/meta/recipes-core/systemd/systemd. I'd like to ask the udev team to ACK unmasking sys-fs/udev on musl.
Comment 1 Mike Gilbert gentoo-dev 2021-08-08 16:30:08 UTC
Fine by me.
Comment 2 Anthony Basile gentoo-dev 2021-08-08 18:03:48 UTC
(In reply to David Seifert from comment #0)
> sys-fs/udev-249-r2 now supports musl too with the help of
> http://cgit.openembedded.org/openembedded-core/tree/meta/recipes-core/
> systemd/systemd. I'd like to ask the udev team to ACK unmasking sys-fs/udev
> on musl.

Does it actually build on musl as it is right now?  If so yes, if not, then we would break all musl systems.
Comment 3 Anthony Basile gentoo-dev 2021-08-08 19:31:38 UTC
(In reply to Anthony Basile from comment #2)
> (In reply to David Seifert from comment #0)
> > sys-fs/udev-249-r2 now supports musl too with the help of
> > http://cgit.openembedded.org/openembedded-core/tree/meta/recipes-core/
> > systemd/systemd. I'd like to ask the udev team to ACK unmasking sys-fs/udev
> > on musl.
> 
> Does it actually build on musl as it is right now?  If so yes, if not, then
> we would break all musl systems.

I've been told in IRC that it does build and is ready, so go ahead.
Comment 4 Georgy Yakovlev gentoo-dev 2021-08-08 19:36:07 UTC
FTR: I actually tested it it works on ppc64be musl, runtime tested.
testsuite passes, 2 minor block device tests do not, but that's setup-dependent not musl dependent.
We also got positive results from musl-selinux user after I added a patch for it.
Comment 5 Jory A. Pratt gentoo-dev 2021-08-08 19:40:13 UTC
ack, musl has been well tested with 249-r* once this goes stable we will spin new stage tarballs for musl users
Comment 6 William Hubbs gentoo-dev 2021-08-08 20:17:14 UTC
Go for it. I don't see a problem with it, but I've also never used musl.
Comment 7 Larry the Git Cow gentoo-dev 2021-08-09 16:47:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5965f31dfd4dab4d3e3a119ad64eeb0a556dca70

commit 5965f31dfd4dab4d3e3a119ad64eeb0a556dca70
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-09 16:46:46 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-09 16:47:09 +0000

    profiles/features/musl: unmask >=sys-fs/udev-249-r2
    
    Now patched to work on musl, thanks to the efforts of Soap
    (and the OpenEmbedded folks for the original patches) who
    has further patched udev to get us to this point.
    
    Bug: https://bugs.gentoo.org/807193
    Thanks-to: David Seifert <soap@gentoo.org>
    Tested-by: Georgy Yakovlev <gyakovlev@gentoo.org>
    Tested-by: Jory A. Pratt <anarchy@gentoo.org>
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/features/musl/package.mask | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5214ebaec6f7fac27e3fc1994c1c89c9f8fd8222

commit 5214ebaec6f7fac27e3fc1994c1c89c9f8fd8222
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-09 16:46:45 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-09 16:47:08 +0000

    sys-fs/udev: sync live
    
    Bug: https://bugs.gentoo.org/807193
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-fs/udev/udev-249-r2.ebuild | 12 ++++---
 sys-fs/udev/udev-9999.ebuild   | 75 +++++++++++++++++++++++++++++++++++++++---
 2 files changed, 77 insertions(+), 10 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36ef228ff82661f1491b6c7e532df24755992bbc

commit 36ef228ff82661f1491b6c7e532df24755992bbc
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-09 16:46:44 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-09 16:47:07 +0000

    sys-fs/udev: add message when switching from sys-fs/eudev
    
    Helpful for the musl users who will end up hitting this
    as a result of the unmasking of sys-fs/udev on their profiles.
    
    Bug: https://bugs.gentoo.org/807193
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-fs/udev/udev-249-r2.ebuild | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 8 Sam James archtester gentoo-dev Security 2021-10-05 03:52:40 UTC
Reassigning to council@ given we made a decision previously in bug 575718.
Comment 9 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-10-10 20:45:16 UTC
The Council approved this with 6 yes votes and 1 abstention.